Summary: Pluggable Authentication Modules: modular, incremental authentication
Name: pam
Version: 0.59
Release: 5
Copyright: GPL or BSD
Group: Base
Source: http://parc.power.net/morgan/Linux-PAM/pre/Linux-PAM-0.59preC.tar.gz
Source1: other.pamd
Patch1: Linux-PAM-0.56-dirs.patch
Patch3: Linux-PAM-0.56-prompt.patch
Patch9: Linux-PAM-0.56-nopasswd+.patch
Patch10: Linux-PAM-0.56-noaxp.patch
Patch11: Linux-PAM-0.56-glibc.patch
Patch13: Linux-PAM-0.56-ldx.patch
Patch14: Linux-PAM-0.57-bothconfs.patch
Patch15: Linux-PAM-0.56-nopedantic.patch
Patch17: Linux-PAM-0.57-rhlock.patch
Patch22: Linux-PAM-0.59-strerror.patch
Patch24: Linux-PAM-0.59-fixes.patch
Patch25: Linux-PAM-0.59-morefix.patch
BuildRoot: /tmp/pam
Requires: cracklib-dicts, pwdb >= 0.54-2, pamconfig >= 0.51
Url: http://parc.power.net/morgan/Linux-PAM/index.html

%description
PAM (Pluggable Authentication Modules) is a powerful, flexible,
extensible authentication system which allows the system administrator
to configure authentication services individually for every pam-compliant
application without recompiling any of the applications.

%changelog

* Tue Oct 14 1997 Erik Troan <ewt@redhat.com>

- updated alpha patch

* Fri Oct 04 1997 Cristian Gafton <gafton@redhat.com>

- moved to 0.59preC, spec file cleaned up a little.

* Fri Oct 03 1997 Cristian Gafton <gafton@redhat.com>

- moved to 0.59preB, some attempts to stabilize this thing...
- and finally found THE BUG !

* Wed Oct 01 1997 Michael K. Johnson <johnsonm@redhat.com>

Moved from .57 to .59, with slightly changed interfaces.
Use a buildroot to avoid trashing build systems.

* Wed Oct 01 1997 Michael K. Johnson <johnsonm@redhat.com>

Fixed .rhosts security hole with multi-IP hosts.

* Mon Apr 21 1997 Michael K. Johnson <johnsonm@redhat.com>

Require a high enough version of pwdb

* Tue Apr 15 1997 Michael K. Johnson <johnsonm@redhat.com>

Moved from .56 to .57

* Thu Feb 27 1997 Michael K. Johnson <johnsonm@redhat.com>

Moved from .54 to .56, and from pam.conf to pam.d

%prep
%setup -n Linux-PAM-0.59
%patch1 -p1 -b .dirs
%patch3 -p1 -b .prompt
%patch9 -p1 -b .nopasswd+
%patch13 -p1 -b .ldx
%patch14 -p1 -b .bothconfs
%patch15 -p1 -b .nopedantic
%patch17 -p1 -b .rhlock
%patch22 -p1 -b .strerror
%patch24 -p1 -b .fixes
%patch25 -p1 -b .morefix

%ifarch alpha
%patch10 -p1 -b .noaxp
%patch11 -p1 -b .noaxp
%endif

%build
rm default.defs
ln -s defs/redhat.defs default.defs
touch .freezemake
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
(cd doc ; make ; gzip -9 ps/*.ps)
[ -f doc/ps/pam.ps.gz ] || {
  echo "This system probably doesn't have linuxdoc-sgml or sgml-tools installed"
  echo "Please install them and try again."
  exit 1
}

%install
rm -rf $RPM_BUILD_ROOT/lib/security/*
mkdir -p $RPM_BUILD_ROOT/usr/include/security
mkdir -p $RPM_BUILD_ROOT/lib/security
make install FAKEROOT=$RPM_BUILD_ROOT
install -d -m 755 -o 0 -g 0 $RPM_BUILD_ROOT/etc/pam.d
install -m 644 -o 0 -g 0 ${RPM_SOURCE_DIR}/other.pamd $RPM_BUILD_ROOT/etc/pam.d/other
# make sure the modules built...
[ -f $RPM_BUILD_ROOT/lib/security/pam_deny.so ] || {
  echo "You have LITTLE or NOTHING in your /lib/security directory:"
  echo $RPM_BUILD_ROOT/lib/security/*
  echo ""
  echo "Fix it before you install this package, while you still can!"
  exit 1
}

%clean
rm -rf $RPM_BUILD_ROOT

%post
ldconfig

%files
%dir /etc/pam.d
%config /etc/pam.d/other
%doc Copyright
%doc doc/html doc/ps doc/txts
%doc doc/specs/rfc86.0.txt
/lib/libpam.so.0.59
/lib/libpam.so
/lib/libpam_misc.so.0.59
/lib/libpam_misc.so
/lib/libpam_misc.a
/usr/include/security/_pam_types.h
/usr/include/security/_pam_macros.h
/usr/include/security/pam_appl.h
/usr/include/security/pam_filter.h
/usr/include/security/pam_modules.h
/usr/include/security/pam_misc.h
/sbin/pam_filter
/sbin/pwdb_chkpwd
/lib/security
%config /etc/security/access.conf
%config /etc/security/time.conf
%config /etc/security/group.conf
%config /etc/security/limits.conf
%config /etc/security/pam_env.conf
